!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine CloseDataFile
!
!   * Developer: SUGIYAMA Ko-ichiro
!   * Version: $Id: closedatafile.f90,v 1.2.2.1 2005/09/01 14:44:23 kitamo Exp $ 
!   * Tag Name: $Name: arare3m $
!   * Change History: 
!
!== Overview 
!
!$B=PNO%U%!%$%k$N%/%m!<%:(B. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine CloseDataFile(history)
                                                                 !=begin
  !== Dependency
  use gt4_history
  use dc_trace, only: BeginSub, EndSub
                                                                 !=end  
  !== $B0EL[$N7?@k8@6X;_(B
  implicit none

  !== Input/Output
  type(GT_HISTORY), intent(inout) :: history

  call BeginSub("CloseDataFile", &
       &         fmt="%c",            &
       &         c1="Close output file.")

  !=== $B%U%!%$%k$rJD$8$k(B
  call HistoryClose(history)
  
  call EndSub("CloseDataFile")
  
end subroutine CloseDataFile
